## Version Information Version Information — Variables and functions to check the libxfce4util version |

## Functions

const gchar * | xfce_version_string ()
#define | LIBXFCE4UTIL_CHECK_VERSION()

## Types and Values

extern const guint | libxfce4util_major_version
extern const guint | libxfce4util_minor_version
extern const guint | libxfce4util_micro_version
#define | LIBXFCE4UTIL_MAJOR_VERSION
#define | LIBXFCE4UTIL_MINOR_VERSION
#define | LIBXFCE4UTIL_MICRO_VERSION

## Includes

    #include <libxfce4util/libxfce4util.h>

## Description

These macros provide a few commonly-used features.

## Functions

### xfce_version_string ()

    const gchar *
    xfce_version_string (void);

Queries the version string of the installed Xfce desktop environment.

#### Returns

the overall version information of the installed Xfce desktop.

Since: 4.2

### LIBXFCE4UTIL_CHECK_VERSION()

    #define             LIBXFCE4UTIL_CHECK_VERSION(major,minor,micro)

## Types and Values

### libxfce4util_major_version

    extern const guint libxfce4util_major_version;

### libxfce4util_minor_version

    extern const guint libxfce4util_minor_version;

### libxfce4util_micro_version

    extern const guint libxfce4util_micro_version;

### LIBXFCE4UTIL_MAJOR_VERSION

    #define LIBXFCE4UTIL_MAJOR_VERSION 4

### LIBXFCE4UTIL_MINOR_VERSION

    #define LIBXFCE4UTIL_MINOR_VERSION 16

### LIBXFCE4UTIL_MICRO_VERSION

    #define LIBXFCE4UTIL_MICRO_VERSION 0

## See Also

https://developer.gnome.org/glib/stable/glib-Standard-Macros.html